<?php
/**
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * https://www.d3data.de
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author    D3 Data Development - Daniel Seifert <info@shopmodule.com>
 * @link      https://www.oxidmodule.com
 */

declare(strict_types=1);

use D3\CategoryLongtext\Application\Controllers\Admin\AdminDetailsController;

$sMetadataVersion = '2.1';
$sModuleId = 'd3categorylongtext';
$logo = '<img src="https://logos.oxidmodule.com/d3logo.svg" alt="(D3)" style="height:1em;width:1em">';

$aModule = array(
    'id'           => $sModuleId,
    'title'        => $logo.' zweiter Kategorielangtext',
    'description'  => '<strong>Hinweise:</strong>'
        . '<b>Voraussetzungen:</b><br>'
        . 'Datenbank-Felder: <br>'
        . '- oxcategories__d3longdesc2<br>'
        . '- oxcategories__d3longdesc2_1<br>'
        . '- oxcategories__d3longdesc2_2<br>'
        . '- oxcategories__d3longdesc2_3<br>'
        . 'Diese Erweiterung bietet einen zweiten Kategorielangtext.<br>' //
        . 'Angezeigt wird der zweite Langtext unter der Artikelauflistung in der Listenansicht.',
    'thumbnail'    => 'picture.png',
    'version'      => '1.4.0',
    'author'       => $logo.' Data Development (Inh.: Thomas Dartsch)',
    'email'        => 'support@shopmodule.com',
    'url'          => 'https://www.oxidmodule.com/',
    'controllers' => [
        'd3clcategorylongtext'      => AdminDetailsController::class
    ],
    'templates' => [
        'd3_categories_longtext.tpl'  => 'd3/categorylongtext/Application/views/admin/tpl/d3_categories_longtext.tpl',
    ],
    'blocks'      => [
        [
            'template' => 'page/list/list.tpl',
            'block'    => 'page_list_listbody',
            'file'     => 'Application/views/blocks/list_second_longdescription.tpl',
        ],
    ],
    'events'       => [
        'onActivate'   => '\D3\CategoryLongtext\Setup\Events::onActivate',
        //'onDeactivate' => '\D3\CategoryLongtext\Events\Events::onDeactivate'
    ]
);
